﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\UPM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_UPM_BILLCFGMFENTRY') 
 CREATE TABLE T_UPM_BILLCFGMFENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMAINFCOLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMAINFCOL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMAINFSRCBILLCOLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMAINFSRCBILLCOL NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_UPM_BILLCONF') 
 CREATE TABLE T_UPM_BILLCONF (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLOBJ NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLENTRY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FBILLFILTER NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FMASTERFILETYPEID BIGINT DEFAULT 1401417099242528768 NOT NULL,
FUPMNUMBERFIELD NVARCHAR(100) DEFAULT ' ' NOT NULL,
FACTION BIGINT DEFAULT 0 NOT NULL,
FOPERATE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_UPM_BILLCONF_L') 
 CREATE TABLE T_UPM_BILLCONF_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_UPM_CFGTRKENTRY') 
 CREATE TABLE T_UPM_CFGTRKENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTRACKCOLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTRACKCOL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTRACKSRCBILLCOLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTRACKSRCBILLCOL NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_UPM_MOVETRACK' AND KSQL_COL_NAME ='FOPERATE') 
 ALTER TABLE T_UPM_MOVETRACK ADD (FOPERATE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_UPM_MASTERACTENTRY' AND KSQL_COL_NAME ='FEISPRESET') 
 ALTER TABLE T_UPM_MASTERACTENTRY ADD (FEISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_UPM_MASTERACTION' AND KSQL_COL_NAME ='FISPRESET') 
 ALTER TABLE T_UPM_MASTERACTION ADD (FISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_UPM_MASTERRELATION' AND KSQL_COL_NAME ='FISPRESET') 
 ALTER TABLE T_UPM_MASTERRELATION ADD (FISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_UPM_LOCATION' AND KSQL_COL_NAME ='FISPRESET') 
 ALTER TABLE T_UPM_LOCATION ADD (FISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_UPM_MASTERSTATUS' AND KSQL_COL_NAME ='FISPRESET') 
 ALTER TABLE T_UPM_MASTERSTATUS ADD (FISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_UPM_MASTERSERVICE' AND KSQL_COL_NAME ='FISPRESET') 
 ALTER TABLE T_UPM_MASTERSERVICE ADD (FISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_UPM_USABILITY' AND KSQL_COL_NAME ='FISPRESET') 
 ALTER TABLE T_UPM_USABILITY ADD (FISPRESET CHAR(1) DEFAULT '0' NOT NULL );
 EXEC p_AlterColumn 'T_UPM_BIZOPSERVICE', 'FDESC', 'NVARCHAR(255)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_UPM_BIZOPSERVICE' AND KSQL_COL_NAME ='FISPRESET') 
 ALTER TABLE T_UPM_BIZOPSERVICE ADD (FISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_UPM_BIZOPSERVICE' AND KSQL_COL_NAME ='FPRINTTEMPLATE') 
 ALTER TABLE T_UPM_BIZOPSERVICE ADD (FPRINTTEMPLATE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_UPM_BIZOPSERVICE' AND KSQL_COL_NAME ='FPRINTLANG') 
 ALTER TABLE T_UPM_BIZOPSERVICE ADD (FPRINTLANG NVARCHAR(30) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\UPM_table.sql **/
