﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\UPM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_UPM_BIZOPSERVICE_L', 'T_UPM_BIZOPSERVICE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_BIZOPSERVICE_L' AND KSQL_INDNAME = 'IDX_BIZOPSERVICE_L_FID_FLOCAL') CREATE INDEX IDX_BIZOPSERVICE_L_FID_FLOCAL ON T_UPM_BIZOPSERVICE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_UPM_MASTERACTENTRY', 'T_UPM_MASTERACTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_MASTERACTENTRY' AND KSQL_INDNAME = 'IDX_MASTERACTENTRY_FID') CREATE INDEX IDX_MASTERACTENTRY_FID ON T_UPM_MASTERACTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_UPM_MASTERACTION_L', 'T_UPM_MASTERACTION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_MASTERACTION_L' AND KSQL_INDNAME = 'IDX_MASTERACTION_L_FID_FLOCAL') CREATE INDEX IDX_MASTERACTION_L_FID_FLOCAL ON T_UPM_MASTERACTION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_UPM_RELATIONENTRY', 'T_UPM_RELATIONENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_RELATIONENTRY' AND KSQL_INDNAME = 'IDX_RELATIONENTRY_FID') CREATE INDEX IDX_RELATIONENTRY_FID ON T_UPM_RELATIONENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_UPM_MASTERRELATION_L', 'T_UPM_MASTERRELATION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_MASTERRELATION_L' AND KSQL_INDNAME = 'IDX_MASTERRELATION_L_FID_FLOC') CREATE INDEX IDX_MASTERRELATION_L_FID_FLOC ON T_UPM_MASTERRELATION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_UPM_MASTERSTATUS_L', 'T_UPM_MASTERSTATUS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_MASTERSTATUS_L' AND KSQL_INDNAME = 'IDX_MASTERSTATUS_L_FID_FLOCAL') CREATE INDEX IDX_MASTERSTATUS_L_FID_FLOCAL ON T_UPM_MASTERSTATUS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_UPM_MOVETRACK', 'T_UPM_MOVETRACK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_MOVETRACK' AND KSQL_INDNAME = 'IDX_MOVETRACK_FMASTERFILEID') CREATE INDEX IDX_MOVETRACK_FMASTERFILEID ON T_UPM_MOVETRACK ( FMASTERFILEID );


 EXEC P_ALTERPK 'PK_T_UPM_USABILITY_L', 'T_UPM_USABILITY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_USABILITY_L' AND KSQL_INDNAME = 'IDX_USABILITY_L_FID_FLOCAL') CREATE INDEX IDX_USABILITY_L_FID_FLOCAL ON T_UPM_USABILITY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_UPM_LOCATION_L', 'T_UPM_LOCATION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_LOCATION_L' AND KSQL_INDNAME = 'IDX_LOCATION_FID_FLOCAL') CREATE INDEX IDX_LOCATION_FID_FLOCAL ON T_UPM_LOCATION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_UPM_BIZOPSERVICE', 'T_UPM_BIZOPSERVICE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_BIZOPSERVICE' AND KSQL_INDNAME = 'IDX_BIZOPSERVICE_FNUMBER') CREATE INDEX IDX_BIZOPSERVICE_FNUMBER ON T_UPM_BIZOPSERVICE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_UPM_MASTERACTION', 'T_UPM_MASTERACTION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_MASTERACTION' AND KSQL_INDNAME = 'IDX_MASTERACTION_FNUMBER') CREATE INDEX IDX_MASTERACTION_FNUMBER ON T_UPM_MASTERACTION ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_UPM_MASTERRELATION', 'T_UPM_MASTERRELATION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_MASTERRELATION' AND KSQL_INDNAME = 'IDX_MASTERRELATION_FNUMBER') CREATE INDEX IDX_MASTERRELATION_FNUMBER ON T_UPM_MASTERRELATION ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_UPM_MASTERSERVICE_L', 'T_UPM_MASTERSERVICE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_MASTERSERVICE_L' AND KSQL_INDNAME = 'IDX_MASTERSERVICE_L_FID_FLOCAL') CREATE INDEX IDX_MASTERSERVICE_L_FID_FLOCAL ON T_UPM_MASTERSERVICE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_UPM_LOCATION', 'T_UPM_LOCATION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_LOCATION' AND KSQL_INDNAME = 'IDX_LOCATION_FNUMBER') CREATE INDEX IDX_LOCATION_FNUMBER ON T_UPM_LOCATION ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_UPM_MASTERSTATUS', 'T_UPM_MASTERSTATUS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_MASTERSTATUS' AND KSQL_INDNAME = 'IDX_MASTERSTATUS_FNUM') CREATE INDEX IDX_MASTERSTATUS_FNUM ON T_UPM_MASTERSTATUS ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_UPM_MASTERSERVICE', 'T_UPM_MASTERSERVICE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_MASTERSERVICE' AND KSQL_INDNAME = 'IDX_MASTERSERVICE_FNUMBER') CREATE INDEX IDX_MASTERSERVICE_FNUMBER ON T_UPM_MASTERSERVICE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_UPM_MASTERFILE', 'T_UPM_MASTERFILE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_MASTERFILE' AND KSQL_INDNAME = 'IDX_MASTERFILE_FNUMBER') CREATE UNIQUE INDEX IDX_MASTERFILE_FNUMBER ON T_UPM_MASTERFILE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_MASTERFILE' AND KSQL_INDNAME = 'IDX_MASTERFILE_FMATERIALID') CREATE INDEX IDX_MASTERFILE_FMATERIALID ON T_UPM_MASTERFILE ( FMATERIALID );


 EXEC P_ALTERPK 'PK_T_UPM_MASTERFILE_L', 'T_UPM_MASTERFILE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_MASTERFILE_L' AND KSQL_INDNAME = 'IDX_MASTERFILE_L_FID_FLOCALEID') CREATE INDEX IDX_MASTERFILE_L_FID_FLOCALEID ON T_UPM_MASTERFILE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_UPM_ROLE_L', 'T_UPM_ROLE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_ROLE_L' AND KSQL_INDNAME = 'IDX_ROLE_L_FID_FLOCALEID') CREATE INDEX IDX_ROLE_L_FID_FLOCALEID ON T_UPM_ROLE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_UPM_USABILITY', 'T_UPM_USABILITY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_USABILITY' AND KSQL_INDNAME = 'IDX_USABILITY_FNUM') CREATE INDEX IDX_USABILITY_FNUM ON T_UPM_USABILITY ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_UPM_MATERIALRELATION', 'T_UPM_MATERIALRELATION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_MATERIALRELATION' AND KSQL_INDNAME = 'IDX_MATLAT_FNUMBER') CREATE INDEX IDX_MATLAT_FNUMBER ON T_UPM_MATERIALRELATION ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_UPM_MATERIALRELATION_L', 'T_UPM_MATERIALRELATION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_MATERIALRELATION_L' AND KSQL_INDNAME = 'IDX_MATREL_L_FID_FLOCALE') CREATE INDEX IDX_MATREL_L_FID_FLOCALE ON T_UPM_MATERIALRELATION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_UPM_ROLE', 'T_UPM_ROLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_ROLE' AND KSQL_INDNAME = 'INX_ROLE_FNUMBER') CREATE INDEX INX_ROLE_FNUMBER ON T_UPM_ROLE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_UPM_ROLEORG', 'T_UPM_ROLEORG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_ROLEORG' AND KSQL_INDNAME = 'IDX_ROLEORG_FROLEID') CREATE INDEX IDX_ROLEORG_FROLEID ON T_UPM_ROLEORG ( FROLEID );


 EXEC P_ALTERPK 'PK_T_UPM_ROLEVEHICLE', 'T_UPM_ROLEVEHICLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_ROLEVEHICLE' AND KSQL_INDNAME = 'IDX_ROLEVEHICLE_FROLEID') CREATE INDEX IDX_ROLEVEHICLE_FROLEID ON T_UPM_ROLEVEHICLE ( FROLEID );


 EXEC P_ALTERPK 'PK_T_UPM_USERROLE', 'T_UPM_USERROLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_USERROLE' AND KSQL_INDNAME = 'IDX_USERROLE_FROLEID') CREATE INDEX IDX_USERROLE_FROLEID ON T_UPM_USERROLE ( FROLEID );


 EXEC P_ALTERPK 'PK_T_UPM_WB_EXELOG', 'T_UPM_WB_EXELOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_WB_EXELOG' AND KSQL_INDNAME = 'IDX_EXELOG_FMASTERFILEID') CREATE INDEX IDX_EXELOG_FMASTERFILEID ON T_UPM_WB_EXELOG ( FMASTERFILEID );


 EXEC P_ALTERPK 'PK_T_UPM_WB_EXELOG_E', 'T_UPM_WB_EXELOG_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_UPM_WB_EXELOG_E' AND KSQL_INDNAME = 'IDX_EXELOG_E_FID') CREATE INDEX IDX_EXELOG_E_FID ON T_UPM_WB_EXELOG_E ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\UPM_constraint.sql **/
